<?php

defined('_JEXEC') or die;

class PlgButtonMedienarche extends JPlugin
{

	public function onDisplay($name)
	{
		JFactory::getLanguage()->load("com_medienarche", JPATH_SITE, "de-DE", false);
		$comParams = JComponentHelper::getParams( 'com_medienarche' );
		$convertType = false;
		if (class_exists("Imagick")) {
			$convertType = "class";
		} else {
			$command = $comParams->get("imagick_convert_command", "convert");
			$output = array();
			exec ($command." -version", $output);
			if (count($output) != 0) {
				if ($output[0] != str_replace("ImageMagick", "", $output[0])) {
					$convertType = "command";
				}
			}
		}

		if (!$convertType) {
			return false;
		}
		
		
		$link = 'index.php?option=com_medienarche&amp;layout=modal&amp;tmpl=component&amp;'.JSession::getFormToken().'=1&amp;editor=' . $name;

		$button = new JObject;
		$button->modal   = true;
		$button->class   = 'btn';
		$button->link    = $link;
		$button->text    = JText::_('COM_MEDIENARCHE_BUTTON');
		$button->name    = 'picture';
		$button->options = "{handler: 'iframe', size: {x: 920, y: 600}}";

		return $button;
	}
}
